Subject: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 21:00:11 +0300

> From: Howard Melman <[email-masked]>
> Date: Sun, 17 Apr 2022 12:48:32 -0400
> Cc: Robert Pluim <[email-masked]>,
>  Alan Third <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> > So the example didn't work, because you do have a font for those
> > characters.  Can you find some characters that don't have fonts?  For
> > example, do any of the scripts in etc/HELLO show as tofu or "blank"?
> > 
> > (I'm trying to understand why you had those blank displays where you
> > should have seen tofu; if you are not interested in trying to figure
> > this out further, I'm fully prepared to stop asking questions.)
> 
> I'm willing.  FYI, I'm using the prebuilt emacs 28 from https://emacsformacosx.com/
> I don't build my own.
> 
> Here are two images showing the whole HELLO file.

You have too many fonts ;-)  It is strange that with so many fonts the
U+1F37D couldn't be displayed.

Okay, try with codepoints between D800 and DB7F: what does that
produce?